jQuery(document).ready(function($) {

    var ResponsiveMenuPro = {
        trigger: '{{ options.button_click_trigger }}',
        animationSpeed: {{ options.animation_speed * 1000 }},
        breakpoint: {{ options.breakpoint }},
        {% if options.animation_type == 'push' %}
            pageWrapper: '{{ options.page_wrapper }}',
        {% endif %}
        {% if options.smooth_scroll_on == 'on' %}
            smoothScrollSpeed: '{{ options.smooth_scroll_speed * 1000 }}',
        {% endif %}
        isOpen: false,
        activeClass: 'is-active',
        container: '#responsive-menu-pro-container',
        openClass: 'responsive-menu-pro-open',
        activeArrow: '{{ options.getActiveArrow() }}',
        inactiveArrow: '{{ options.getInActiveArrow() }}',
        wrapper: '#responsive-menu-pro-wrapper',
        linkElement: '.responsive-menu-pro-item-link',
        subMenuTransitionTime: {{ options.sub_menu_speed * 1000 }},
        originalHeight: '',
        openMenu: function() {
            $(this.trigger).addClass(this.activeClass);
            $('html').addClass(this.openClass);
            $('.responsive-menu-pro-button-icon-active').hide();
            $('.responsive-menu-pro-button-icon-inactive').show();

            {% if options.use_desktop_menu == 'on' %}
                $(this.container).removeClass('responsive-menu-pro-no-transition');
            {% endif %}

            {% if options.button_title_open and options.button_title %}
                this.setButtonTextOpen();
            {% endif %}

            {% if options.animation_type != 'fade' %}
                this.setWrapperTranslate();
            {% else %}
                this.fadeMenuIn();
            {% endif %}

            {% if options.fade_submenus == 'on' %}
                $("#responsive-menu-pro > li").each(function(index) {
                    $(this).show();
                    $(this).animate({opacity: 0}, 0);

                    {% if options.fade_submenus_side == 'left' %}
                         $(this).animate({'margin-left':'-150px'},0);
                    {% endif %}

                    {% if options.fade_submenus_side == 'right' %}
                       $(this).animate({'margin-left':'150px'},0);
                    {% endif %}

                    $(this).delay({{ options.fade_submenus_delay }} * index).animate({
                        'margin-left': "0",
                        'opacity': 1
                    }, {{ options.fade_submenus_speed }});
                });
            {% endif %}

            {% if options.use_slide_effect == 'on' %}
                var self = this;
                if($(window).width() <= self.breakpoint) {
                    $('#responsive-menu-pro').promise().done(function () {
                        self.originalHeight = $('#responsive-menu-pro').height();
                        $('#responsive-menu-pro').css({'height': self.originalHeight});
                    });
                }
            {% endif %}

            {% if options.menu_disable_scrolling == 'on' %}
                bodyScrollLock.disableBodyScroll(
                    document.getElementById(this.container),
                    {reserveScrollBarGap: true}
                );
            {% endif %}

            this.isOpen = true;
        },
        closeMenu: function() {
            $(this.trigger).removeClass(this.activeClass);
            $('html').removeClass(this.openClass);
            $('.responsive-menu-pro-button-icon-inactive').hide();
            $('.responsive-menu-pro-button-icon-active').show();

            {% if options.button_title_open and options.button_title %}
                this.setButtonText();
            {% endif %}

            {% if options.animation_type != 'fade' %}
                this.clearWrapperTranslate();
            {% else %}
                this.fadeMenuOut();
            {% endif %}

            $("#responsive-menu-pro > li").removeAttr('style');

            {% if options.menu_disable_scrolling == 'on' %}
                bodyScrollLock.clearAllBodyScrollLocks();
            {% endif %}

            this.isOpen = false;
        },
        {% if options.button_title_open and options.button_title %}
            setButtonText: function() {
                if($('.responsive-menu-pro-button-text-open').length > 0 && $('.responsive-menu-pro-button-text').length > 0) {
                    $('.responsive-menu-pro-button-text-open').hide();
                    $('.responsive-menu-pro-button-text').show();
                }
            },
            setButtonTextOpen: function() {
                if($('.responsive-menu-pro-button-text').length > 0 && $('.responsive-menu-pro-button-text-open').length > 0) {
                    $('.responsive-menu-pro-button-text').hide();
                    $('.responsive-menu-pro-button-text-open').show();
                }
            },
        {% endif %}
        triggerMenu: function() {
            this.isOpen ? this.closeMenu() : this.openMenu();
        },

        {% if options.use_slide_effect == 'on' %}
            backUpSlide: function(backButton) {
                translate_to = parseInt($('#responsive-menu-pro')[0].style.transform.replace(/^\D+/g, '')) - 100;
                $('#responsive-menu-pro').css({'transform': 'translateX(-' + translate_to + '%)'});
                var previous_submenu_height = $(backButton).parent('ul').parent('li').parent('.responsive-menu-pro-submenu').height();
                if(!previous_submenu_height) {
                    $('#responsive-menu-pro').css({'height': this.originalHeight});
                } else {
                    $('#responsive-menu-pro').css({'height': previous_submenu_height + 'px'});
                }
            },
        {% endif %}

        triggerSubArrow: function(subarrow) {
            var sub_menu_parent = $(subarrow).parent();
            var sub_menu = $(subarrow).parent().siblings('.responsive-menu-pro-submenu');
            var self = this;

            {% if options.use_slide_effect == 'on' %}
                if($(window).width() <= self.breakpoint) {
                    $('.responsive-menu-pro-subarrow-active').removeClass('responsive-menu-pro-subarrow-active');
                    sub_menu.addClass('responsive-menu-pro-subarrow-active');
                    sub_menu.parentsUntil('#responsive-menu-pro').addClass('responsive-menu-pro-subarrow-active');
                    current_depth = $(subarrow).parent().parent().parent().data('depth');
                    current_depth = typeof current_depth == 'undefined' ? 1 : current_depth;
                    translation_amount = current_depth * 100;
                    $('#responsive-menu-pro').css({'transform': 'translateX(-' + translation_amount + '%)'});
                    $('#responsive-menu-pro').css({'height': sub_menu.height() + 'px'});
                }
            {% else %}

                {# --> Begin Accordion animation #}

                    {% if options.accordion_animation == 'on' %}

                        {# --> Get Top Most Parent and the siblings #}
                        var top_siblings = sub_menu.parents('.responsive-menu-pro-item-has-children').last().siblings('.responsive-menu-pro-item-has-children');
                        var first_siblings = sub_menu.parents('.responsive-menu-pro-item-has-children').first().siblings('.responsive-menu-pro-item-has-children');

                        {# --> Close up just the top level parents to key the rest as it was #}
                        top_siblings.children('.responsive-menu-pro-submenu').slideUp(self.subMenuTransitionTime, 'linear').removeClass('responsive-menu-pro-submenu-open');

                        {# --> Set each parent arrow to inactive #}
                        top_siblings.each(function() {
                            $(this).find('.responsive-menu-pro-subarrow').first().html(self.inactiveArrow);
                            $(this).find('.responsive-menu-pro-subarrow').first().removeClass('responsive-menu-pro-subarrow-active');
                        });

                        {# --> Now Repeat for the current item siblings #}
                        first_siblings.children('.responsive-menu-pro-submenu').slideUp(self.subMenuTransitionTime, 'linear').removeClass('responsive-menu-pro-submenu-open');
                        first_siblings.each(function() {
                            $(this).find('.responsive-menu-pro-subarrow').first().html(self.inactiveArrow);
                            $(this).find('.responsive-menu-pro-subarrow').first().removeClass('responsive-menu-pro-subarrow-active');
                        });

                    {% endif %}

                {# --> End Accordion animation #}

                if(sub_menu.hasClass('responsive-menu-pro-submenu-open')) {
                    sub_menu.slideUp(self.subMenuTransitionTime, 'linear',function() {
                        $(this).css('display', '');
                    }).removeClass('responsive-menu-pro-submenu-open');
                    $(subarrow).html(this.inactiveArrow);
                    $(subarrow).removeClass('responsive-menu-pro-subarrow-active');
                    if (typeof sub_menu_parent != "undefined") {
                        $(sub_menu_parent).removeClass('is-active');
                        $(sub_menu_parent).trigger('blur');
                    }
                } else {
                    sub_menu.slideDown(self.subMenuTransitionTime, 'linear').addClass('responsive-menu-pro-submenu-open');
                    $(subarrow).html(this.activeArrow);
                    $(subarrow).addClass('responsive-menu-pro-subarrow-active');
                    if (typeof sub_menu_parent != "undefined") {
                        $(sub_menu_parent).trigger('blur');
                    }
                }

            {% endif %}

        },
        menuHeight: function() {
            return $(this.container).height();
        },
        menuWidth: function() {
            return $(this.container).width();
        },
        wrapperHeight: function() {
            return $(this.wrapper).height();
        },
        {% if options.animation_type != 'fade' %}
            setWrapperTranslate: function() {
                switch('{{ options.menu_appear_from }}') {
                    case 'left':
                        translate = 'translateX(' + this.menuWidth() + 'px)'; break;
                    case 'right':
                        translate = 'translateX(-' + this.menuWidth() + 'px)'; break;
                    case 'top':
                        translate = 'translateY(' + this.wrapperHeight() + 'px)'; break;
                    case 'bottom':
                        translate = 'translateY(-' + this.menuHeight() + 'px)'; break;
                }

                {% if options.animation_type == 'push' %}
                    $(this.pageWrapper).css({'transform':translate});
                    {% if options.menu_disable_scrolling == 'on' %}
                        $('body').css('overflow', 'hidden');
                    {% else %}
                        $('body').css('overflow-x', 'hidden');
                    {% endif %}
                {% endif %}

                {% if options.button_push_with_animation == 'on' %}
                    $('#responsive-menu-pro-button').css({'transform':translate});
                {% endif %}
            },
            clearWrapperTranslate: function() {
                var self = this;

                {% if options.animation_type == 'push' %}
                    $(this.pageWrapper).css({'transform':''});
                    setTimeout(function() {
                        {% if options.menu_disable_scrolling == 'on' %}
                            $('body').css('overflow', '');
                        {% else %}
                            $('body').css('overflow-x', '');
                        {% endif %}
                    }, self.animationSpeed);
                {% endif %}

                {% if options.button_push_with_animation == 'on' %}
                    $('#responsive-menu-pro-button').css({'transform':''});
                {% endif %}
            },
        {% endif %}

        {% if options.animation_type == 'fade' %}
            fadeMenuIn: function() {
                $(this.container)
                    .fadeIn(this.animationSpeed);
            },
            fadeMenuOut: function() {
                $(this.container)
                    .fadeOut(this.animationSpeed, function() {
                        $(this).css('display', '');
                    });

            },
        {% endif %}

        {% if options.smooth_scroll_on == 'on' %}
            smoothScrollToLocation: function(event) {
                if(event.target.hash) {
                    $('html, body').animate({
                        scrollTop: $(event.target.hash).offset().top
                    }, 500);
                }
            },
        {% endif %}

        init: function() {

            var self = this;

            {# --> Begin mobile touch gestures section
                Uses: https://github.com/mattbryson/TouchSwipe-Jquery-Plugin #}

                {% if options.enable_touch_gestures == 'on' %}

                    {# --> Close menu touch gestures #}

                        {% if options.menu_appear_from == 'top' %}
                            {% set close_gesture = 'up' %}
                        {% elseif options.menu_appear_from == 'bottom' %}
                            {% set close_gesture = 'down' %}
                        {% else %}
                            {% set close_gesture = options.menu_appear_from %}
                        {% endif %}

                        $('#responsive-menu-pro-container').swipe({
                            swipe:function(event, direction, distance, duration, fingerCount, fingerData) {
                                if($(window).width() < self.breakpoint) {
                                    if (direction == '{{ close_gesture }}') {
                                        self.closeMenu();
                                    }
                                }
                            },
                            threshold: 25,
                            {% if close_gesture == 'left' or close_gesture == 'right' %}
                                allowPageScroll: "vertical",
                            {% else %}
                                allowPageScroll: "horizontal",
                            {% endif %}
                            excludedElements: "button, input, select, textarea, a, .noSwipe, .responsive-menu-pro-search-box"
                        });

                    {# --> End close menu touch gestures #}

                {% endif %}

            {# <-- End mobile touch gestures section #}

            {# --> Begin keyboard shortcut section #}

                {% if options.keyboard_shortcut_close_menu %}
                    $(document).on( 'keyup', function(e) {
                        if($(window).width() < self.breakpoint) {
                            if($.inArray(e.keyCode, [{{ options.keyboard_shortcut_close_menu }}]) !== -1 && self.isOpen) {
                                self.closeMenu();
                            }
                        }
                    });
                {% endif %}

                {% if options.keyboard_shortcut_open_menu %}
                    $(document).on( 'keyup', function(e) {
                        if($(window).width() < self.breakpoint) {
                            if($.inArray(e.keyCode, [{{ options.keyboard_shortcut_open_menu }}]) !== -1 && !self.isOpen) {
                                self.openMenu();
                            }
                        }
                    });
                {% endif %}

            {# --> End keyboard shortcut section #}

            {# --> Begin show menu on page load section #}

                {% if options.show_menu_on_page_load %}
                    if($(window).width() < this.breakpoint) {
                        self.openMenu();
                    }
                {% endif %}

            {# --> End show menu on page load section #}

            $(this.trigger).on('{{ options.button_trigger_type|replace({',': ' '}) }}', function(e){
                e.stopPropagation();
                self.triggerMenu();
            });

            $(this.trigger).on( 'mouseup', function(){
                $(self.trigger).trigger('blur');
            });

            $('.responsive-menu-pro-subarrow').on('click', function(e) {
                e.preventDefault();
                e.stopPropagation();
                self.triggerSubArrow(this);
            });

            $(window).on( 'resize', function() {
                if($(window).width() >= self.breakpoint) {
                    if(self.isOpen){
                        self.closeMenu();
                    }
                    $('#responsive-menu-pro, .responsive-menu-pro-submenu').removeAttr('style');
                } else {
                    {% if options.use_desktop_menu == 'on' %}
                        $(self.container).addClass('responsive-menu-pro-no-transition');
                    {% endif %}

                    {% if options.animation_type != 'fade' %}
                        if($('.responsive-menu-pro-open').length > 0){
                            self.setWrapperTranslate();
                        }
                    {% endif %}
                }
            });

            {% if options.smooth_scroll_on == 'on' %}
                $(this.linkElement).on('click', function(e) {
                    self.smoothScrollToLocation(e);
                });
            {% endif %}

            {% if options.menu_close_on_link_click == 'on' %}
                $(this.linkElement).on('click', function(e) {
                    if($(window).width() < self.breakpoint) {

                        e.preventDefault();

                        {# Fix for when close menu on parent clicks is on #}
                        {% if options.menu_item_click_to_trigger_submenu == 'on' %}
                            if($(this).is('.responsive-menu-pro-item-has-children > ' + self.linkElement)) {
                                return;
                            }
                        {% endif %}

                        old_href = $(this).attr('href');
                        old_target = typeof $(this).attr('target') == 'undefined' ? '_self' : $(this).attr('target');

                        if(self.isOpen) {
                            if($(e.target).closest('.responsive-menu-pro-subarrow').length) {
                                return;
                            }
                            if(typeof old_href != 'undefined') {
                                self.closeMenu();
                                setTimeout(function() {
                                    window.open(old_href, old_target);
                                }, self.animationSpeed);
                            }
                        }
                    }
                });
            {% endif %}

            {% if options.menu_close_on_body_click == 'on' %}
                $(document).on('click', 'body', function (e) {
                    if($(window).width() < self.breakpoint) {
                        if(self.isOpen) {
                            if (
                                $(e.target).closest('#responsive-menu-pro-container').length ||
                                $(e.target).closest('#responsive-menu-pro-button').length
                            ) {
                                return;
                            }
                        }
                        self.closeMenu();
                    }
                });
            {% endif %}

           {% if options.menu_close_on_scroll == 'on' %}
                $(window).scroll(function (e) {
                    if( $(window).width() < self.breakpoint ) {
                       var menuSearchBox = $( '.responsive-menu-pro-search-box' );
                       /* If focus is on search-box then menu will not be close. */
                       if( menuSearchBox && menuSearchBox.is( ':focus' ) ) {
                          return;
                       }
                       else if( self.isOpen ) {
                           self.closeMenu();
                       }
                    }
                });
            {% endif %}

            {% if options.menu_item_click_to_trigger_submenu == 'on' %}
                $('.responsive-menu-pro-item-has-children > ' + this.linkElement).on('click', function(e) {
                    if($(window).width() < self.breakpoint) {
                        e.preventDefault();
                        self.triggerSubArrow(
                            $(this).children('.responsive-menu-pro-subarrow').first()
                        );
                    }
                });
            {% endif %}

            {% if options.use_slide_effect == 'on' %}
                $('.responsive-menu-pro-back').on('click', function() {
                    self.backUpSlide(this);
                });
            {% endif %}

             /* Desktop menu : hide on scroll down / show on scroll Up */
            {% if options.use_desktop_menu == 'on'%}
                {% if options.desktop_menu_hide_and_show == 'on'%}
                    var last_scroll_top, current_scroll_pos = 0,
                        desktop_header = $(this.container);
                    $(window).scroll(function () {
                        var desktop_header_height = desktop_header.height();
                        current_scroll_pos = $(window).scrollTop();

                        if ( last_scroll_top < current_scroll_pos && current_scroll_pos > desktop_header_height) {
                            desktop_header.addClass("desktop-menu-scroll-up");
                        } else {
                            desktop_header.removeClass("desktop-menu-scroll-up");
                        }
                        last_scroll_top = current_scroll_pos;
                    });
                {% endif %}
            {% endif %}

            {# Prevent focus event when click or hover. #}
            $(this.trigger).on( 'mousedown', function(e){
                e.preventDefault();
                e.stopPropagation();
            });

            {# Prevent focus event when click a link with a hashtag or is empty. #}
            $('.responsive-menu-pro-item-link').on( 'click', function(e){
                var href = $(this).attr('href');
                if (typeof href != "undefined") {
                    if (href=='#' || href=='') {
                        $(this).trigger('blur');
                    }
                }
            });

            {# Handle accessibility for slidebar menu. #}
            if (jQuery('#responsive-menu-pro-button').css('display') != 'none') {

                $('#responsive-menu-pro-button,#responsive-menu-pro a.responsive-menu-pro-item-link,#responsive-menu-pro-wrapper input').on( 'focus', function() {
                    $(this).addClass('is-active');
                    $('html').addClass('responsive-menu-pro-open');
                    $('#responsive-menu-pro li').css({"opacity": "1", "margin-left": "0"});
                });

                $('a,input,button').on( 'focusout', function( event ) {
                    if ( ! $(this).parents('#responsive-menu-pro-container').length ) {
                        $('html').removeClass('responsive-menu-pro-open');
                        $('#responsive-menu-pro-button').removeClass('is-active');
                    }
                });
            } else {
                 {# Handle accessibility for desktop menu. #}
                {% if options.use_desktop_menu == 'on'%}
                    $('#responsive-menu-pro li a.responsive-menu-pro-item-link').on( 'focus', function() {

                        {# Close last opne submenu menu. #}
                        if ( $(this).parent('li').prev().children('.responsive-menu-pro-submenu').length ) {
                            $(this).parent('li').prev().children('.responsive-menu-pro-submenu').hide();
                        } else if ( $(this).parent('li').next().children('.responsive-menu-pro-submenu').length ) {
                            $(this).parent('li').next().children('.responsive-menu-pro-submenu').hide();
                        }
                    });

                    $('#responsive-menu-pro .responsive-menu-pro-submenu a.responsive-menu-pro-item-link').on( 'focusout', function() {
                        if ( $(this).is( $('#responsive-menu-pro .responsive-menu-pro-submenu a.responsive-menu-pro-item-link').last() ) ) {
                            $(this).parents('.responsive-menu-pro-submenu').hide();
                        }
                    });

                    {# Open submenu on click. #}
                    {% if options.desktop_submenu_open_on_click == 'on' %}
                        jQuery('#responsive-menu-pro li.responsive-menu-pro-item-has-children a.responsive-menu-pro-item-link').toggle( function( event ) {
                            var mega_menu_no_child     = jQuery(this).parents('ul.responsive-menu-pro-desktop-menu-container');
                            var standard_menu_no_child = jQuery(this).siblings('.responsive-menu-pro-submenu');
                            standard_menu_no_child.addClass('responsive-menu-pro-submenu-animate-on');
                            if ( mega_menu_no_child.length || ! standard_menu_no_child.length ) {
                                window.location = this.href;
                            }
                            jQuery(this).parent('li.responsive-menu-pro-item-has-children').children('.responsive-menu-pro-submenu').show();
                        }, function() {
                            jQuery(this).siblings('.responsive-menu-pro-submenu').removeClass('responsive-menu-pro-submenu-animate-on');
                            jQuery(this).parent('li.responsive-menu-pro-item-has-children').children('.responsive-menu-pro-submenu').hide();
                            window.location = this.href;
                        });
                    {% endif %}
                {% endif %}
            }

            {# Handling menu with arrow keys #}
            $('#responsive-menu-pro a.responsive-menu-pro-item-link').on( 'keydown', function(event) {
                if ( [13,27,32,35,36,37,38,39,40].indexOf( event.keyCode) == -1) {
                    return;
                }
                var link = $(this);
                switch(event.keyCode) {
                    case 13:
                        {# Press enter key to activate the link. #}
                        link.trigger('click');
                        break;
                    case 27:
                        {# Escape key to close the active submenu. #}
                        var dropdown = link.parent('li').parents('.responsive-menu-pro-submenu');
                        if ( dropdown.length > 0 ) {
                            dropdown.hide();
                            dropdown.prev().trigger('focus');
                        }
                        break;
                    case 32:
                        {# Space enter key to open submenu. #}
                        var dropdown = link.parent('li').find('.responsive-menu-pro-submenu');
                        if ( dropdown.length > 0 ) {
                            dropdown.show();
                            dropdown.find('a, input, button, textarea').filter(':visible').first().trigger('focus');
                        }
                        break;
                    case 35:
                        {# End key to move the focus on last menu item. #}
                        var dropdown = link.parent('li').find('.responsive-menu-pro-submenu');
                        if ( dropdown.length > 0 ) {
                            dropdown.hide();
                        }
                        $(this).parents('#responsive-menu-pro').find('a.responsive-menu-pro-item-link').filter(':visible').last().trigger('focus');
                        break;
                    case 36:
                        {# Home key move the focus on first element of menu. #}
                        var dropdown = link.parent('li').find('.responsive-menu-pro-submenu');
                        if( dropdown.length > 0 ) {
                            dropdown.hide();
                        }

                        $(this).parents('#responsive-menu-pro').find('a.responsive-menu-pro-item-link').filter(':visible').first().trigger('focus');
                        break;
                    case 37:
                        event.preventDefault();
                        event.stopPropagation();

                        {# Handle left arrow key event. #}
                        if ( link.parent('li').prevAll('li').filter(':visible').first().length == 0) {
                            link.parent('li').nextAll('li').filter(':visible').last().find('a').first().trigger('focus');
                        } else {
                            link.parent('li').prevAll('li').filter(':visible').first().find('a').first().trigger('focus');
                        }

                        {# Close last opne mega menu. #}
                        if ( link.parent('li').children('.responsive-menu-pro-submenu').length ) {
                            link.parent('li').children('.responsive-menu-pro-submenu').hide();
                        }
                        break;
                    case 38:
                        {# Handle up arrow key event. #}
                        var dropdown = link.parent('li').find('.responsive-menu-pro-submenu');
                        if( dropdown.length > 0 ) {
                            event.preventDefault();
                            event.stopPropagation();
                            dropdown.find('a, input, button, textarea').filter(':visible').first().trigger('focus');
                        } else {
                            if ( link.parent('li').prevAll('li').filter(':visible').first().length == 0) {
                                link.parent('li').nextAll('li').filter(':visible').last().find('a').first().trigger('focus');
                            } else {
                                link.parent('li').prevAll('li').filter(':visible').first().find('a').first().trigger('focus');
                            }
                        }
                        break;
                    case 39:
                        event.preventDefault();
                        event.stopPropagation();
                        {# Handle right arrow key event. #}
                        if( link.parent('li').nextAll('li').filter(':visible').first().length == 0) {
                            link.parent('li').prevAll('li').filter(':visible').last().find('a').first().trigger('focus');
                        } else {
                            link.parent('li').nextAll('li').filter(':visible').first().find('a').first().trigger('focus');
                        }

                        {# Close last opne mega menu. #}
                        if ( link.parent('li').children('.responsive-menu-pro-submenu').length ) {
                            link.parent('li').children('.responsive-menu-pro-submenu').hide();
                        }
                        break;
                    case 40:
                        {# Handle down arrow key event. #}
                        var dropdown = link.parent('li').find('.responsive-menu-pro-submenu');
                        if ( dropdown.length > 0 ) {
                            event.preventDefault();
                            event.stopPropagation();
                            dropdown.find('a, input, button, textarea').filter(':visible').first().trigger('focus');
                        } else {
                            if( link.parent('li').nextAll('li').filter(':visible').first().length == 0) {
                                link.parent('li').prevAll('li').filter(':visible').last().find('a').first().trigger('focus');
                            } else {
                                link.parent('li').nextAll('li').filter(':visible').first().find('a').first().trigger('focus');
                            }
                        }
                        break;
                    }
            });

        }
    };
    ResponsiveMenuPro.init();
});
